view scripts/config-headers.sh @ 103:76d139c7a25e

targets/fcdev3b.conf: we'll have the same memory IC as the Pirelli, so use the same flash and RAM linker scripts templates
author Mychaela Falconia <falcon@freecalypso.org>
date Tue, 04 Oct 2016 04:31:20 +0000
parents 86e83045be37
children fd8227e3047d
line wrap: on
line source

#!/bin/sh

if [ $# != 1 ]
then
	echo "usage: $0 config-flavor" 1>&2
	exit 1
fi

if [ -z "$TARGET" ]
then
	echo "Error: TARGET= must be passed via environment" 1>&2
	exit 1
fi

if [ -z "$BUILD_DIR" ]
then
	echo "Error: BUILD_DIR= must be passed via environment" 1>&2
	exit 1
fi

set -e

rm -rf $BUILD_DIR/config
cp -r cfg-headers/$1 $BUILD_DIR/config
cp targets/$TARGET.h $BUILD_DIR/config/fc-target.cfg